NXOpen .NET Reference  12.0.0
Public Member Functions | List of all members
NXOpen.CAE.SimSimulationObjectGroup Class Reference

Represents a simulation object group in a solution or solution step More...

Inheritance diagram for NXOpen.CAE.SimSimulationObjectGroup:
NXOpen.CAE.SimBcGroup

Public Member Functions

unsafe
NXOpen.CAE.SimSimulationObject[] 
GetSimulationObjects ()
 Gets the simulation objects in this group More...
 
unsafe void Add (NXOpen.CAE.SimSimulationObject tSimulationObject)
 Adds a simulation object to this group More...
 
unsafe void Remove (NXOpen.CAE.SimSimulationObject pSimulationObject)
 Removes a simulation object from this group More...
 
unsafe void RemoveAll ()
 Removes all simulation objects from this group More...
 
- Public Member Functions inherited from NXOpen.CAE.SimBcGroup
unsafe void SetBoltLoadSequence (NXOpen.NXObject[] objects)
 Set the bolt load sequence More...
 

Additional Inherited Members

- Properties inherited from NXOpen.CAE.SimBcGroup
unsafe NXOpen.CAE.SimGroupContainer GroupContainer [get]
 Returns the solution or solution step owning this BC group More...
 

Detailed Description

Represents a simulation object group in a solution or solution step

Not support KF.

Created in NX9.0.0

Member Function Documentation

unsafe void NXOpen.CAE.SimSimulationObjectGroup.Add ( NXOpen.CAE.SimSimulationObject  tSimulationObject)

Adds a simulation object to this group

Created in NX9.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
tSimulationObjectthe simulation object to be added
unsafe NXOpen.CAE.SimSimulationObject [] NXOpen.CAE.SimSimulationObjectGroup.GetSimulationObjects ( )

Gets the simulation objects in this group

Created in NX9.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Returns
the simulation objects in this group
unsafe void NXOpen.CAE.SimSimulationObjectGroup.Remove ( NXOpen.CAE.SimSimulationObject  pSimulationObject)

Removes a simulation object from this group

Created in NX9.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")

Parameters
pSimulationObjectthe simulation object to be removed
unsafe void NXOpen.CAE.SimSimulationObjectGroup.RemoveAll ( )

Removes all simulation objects from this group

Created in NX9.0.0

License requirements: nx_masterfem ("Finite Element Modeling") OR nx_design_sim ("NX Design Simulation")


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.